Employees

Update an employee employment status

PUT
/api/public/v2/employees/{employee_id}/employment_statuses/{id}

Path Parameters

employee_id*integer
Formatint64
id*integer
Formatint64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/public/v2/employees/0/employment_statuses/0" \  -H "Content-Type: application/json" \  -d '{    "effective_from": "2019-08-24",    "comment": "string"  }'
{  "data": {    "id": 0,    "effective_on": "2019-08-24",    "employment_type": {      "id": 0,      "name": "string"    },    "probation_policy": {      "id": 0,      "name": "string"    },    "working_pattern": {      "id": 0,      "name": "string"    },    "comment": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}